﻿' *****************************************************************
' *                                                               *
' *       Copyright (c) Fast Corporation, 2010                    *
' *                                                               *
' *   All Rights Reserved.  Unpublished rights  reserved  under   *
' *   the copyright laws of the Japan.                            *
' *                                                               *
' *   The software contained on this media  is  proprietary  to   *
' *   and  embodies  the  confidential  technology  of  Fast      *
' *   Corporation.  Possession, use,  duplication  or             *
' *   dissemination of the software and media is authorized only  *
' *   pursuant to a valid written license from Fast Corporation.  *
' *                                                               *
' *****************************************************************

' -----------------------------------------------------------------
' FVIL Sample Program
' ビデオ設定ファイル選択ダイアログ
'
' 作成者 : N.Moriguchi
'
' 履歴 : 2010/06/07 初版
'
' -----------------------------------------------------------------

Public Class Form_BROWSEINI

    Public strIniFilePath As String
    Public SelectChannelNo As Integer

    Private Sub ButtonBrowse_Click(sender As Object, e As EventArgs) Handles ButtonBrowse.Click

        OpenFileDialog1.InitialDirectory = "C:\FAST\WIL\3.0.0\CameraFiles"
        OpenFileDialog1.Filter = "iniファイル(*.ini;)|*.ini;"
        OpenFileDialog1.DefaultExt = "*.INI"
        OpenFileDialog1.ShowDialog()

        If (OpenFileDialog1.FileNames.Length > 0) Then
            TextBoxPath.Text = OpenFileDialog1.FileName
        End If

    End Sub

    ''' <summary>
    ''' OKボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' ビデオ設定用iniファイルの設定。
    ''' </remarks>
    Private Sub ButtonOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ButtonOK.Click
        'iniファイルのパスを取得
        strIniFilePath = TextBoxPath.Text
        Me.DialogResult = System.Windows.Forms.DialogResult.OK

        Me.Close()

    End Sub
End Class